编译php时出现错误

`编译php时出现错误

`

是由于没有安装 libiconv包,又没有yum源,无法通过yum直接安装,还需要自己手动来。

先安装libiconv:

wget http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.14.tar.gz
tar -zxvf libiconv-1.14.tar.gz
cd libiconv-1.14
./configure --prefix=/usr/local
make
sudo make install

然后重新configure php,再make就ok..

./configure --with-iconv=/usr/local
make clean
make